Subject: bug#11094: Wrong cursor positioning with display+invisible

From: Stefan Monnier <[email-masked]>
Date: Tue, 03 Apr 2012 09:37:08 -0400

>> emacs -Q
>> (put-text-property (point-min) (+ 2 (point-min)) 'invisible t)
>> (put-text-property (+ 2 (point-min)) (+ 4 (point-min)) 'display "<>")
>> (goto-char (point-min))
>> where I'd expect the cursor to be drawn to the left of "<>" rather than
>> to the right.
> Isn't this an issue with point adjustments?

No: the (goto-char (point-min)) really moves to (point-min) for me, as
can be verified with M-: (point).

> If I set global-disable-point-adjustment non-nil, I get the cursor
> where you want it.

It makes no difference for me: point as at BOB, but the cursor is drawn
after the "<>".

        Stefan